# pod-volume-cleaner

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.1.0](https://img.shields.io/badge/AppVersion-0.1.0-informational?style=flat-square)

Helm chart for pod-volume-cleaner

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| fullnameOverride | string | `nil` | Override the expanded name of the chart |
| image.pullPolicy | string | `"IfNotPresent"` | Image pull policy |
| image.pullSecrets | list | `[]` | Image pull secrets |
| image.repository | string | `"docker.io/cyrilix/pod-cleaner"` | Image repository |
| image.tag | string | `""` | Image tag Defaults to appVersion in Chart.yaml if omitted |
| nameOverride | string | `nil` | Override the name of the chart |
| nodeAffinity | object | `{}` | Node affinity constraints. |
| nodeSelector | object | `{}` | Node labels for pod assignment |
| podAnnotations | object | `{}` | Additional annotations to add to each pod |
| podCleaner.logLevel | string | `"info"` | Log level: info,debug |
| podCleaner.logfile | string | `"/var/log/syslog"` | File to watch to detect orphan pod errors |
| podLabels | object | `{}` | Additional labels to add to each pod |
| podMonitor.additionalLabels | string | `nil` | Additional labels |
| podMonitor.enabled | bool | `false` | Create a `PodMonitor` to collect Prometheus metrics. |
| podMonitor.interval | string | `"30s"` | Interval to scrape metrics |
| podMonitor.path | string | `"/metrics"` | Url path to scrap metrics |
| podMonitor.scrapeTimeout | string | `"25s"` | Timeout if metrics can't be retrieved in given time interval |
| podMonitor.secure | bool | `false` | Is TLS required for endpoint |
| podMonitor.tlsConfig | object | `{}` | TLS Configuration for endpoint |
| podSecurityContext | object | `{}` | Security context for the pod |
| priorityClassName | string | `""` | Optional priority class to be used for kyverno pods |
| rbac.create | bool | `true` | Create ClusterRoles, ClusterRoleBindings, and ServiceAccount |
| rbac.serviceAccount.annotations | object | `{}` | Annotations for the ServiceAccount |
| rbac.serviceAccount.create | bool | `true` | Create a ServiceAccount |
| rbac.serviceAccount.name | string | `nil` | The ServiceAccount name |
| resources | object | `{}` |  |
| revisionHistoryLimit | int | `0` | The number of old history to retain to allow rollback |
| securityContext | object | `{"allowPrivilegeEscalation":false,"capabilities":{"drop":["ALL"]},"privileged":false,"readOnlyRootFilesystem":true,"runAsNonRoot":true,"seccompProfile":{"type":"RuntimeDefault"}}` | Security context for the containers |
| service.annotations | object | `{}` | Service annotations. |
| service.nodePort | string | `nil` | Service node port. Only used if `service.type` is `NodePort`. |
| service.port | int | `9098` | Service port. |
| service.type | string | `"ClusterIP"` | Service type. |
| tolerations | list | `[]` | List of node taints to tolerate |
| topologySpreadConstraints | list | `[]` | Topology spread constraints. |
| updateStrategy | object | See [values.yaml](values.yaml) | Deployment update strategy. Ref: https://kubernetes.io/docs/concepts/workloads/controllers/deployment/#strategy |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
